Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 276)
+++ inc/admin/lib.pager.php	(revision 418)
@@ -22,5 +22,5 @@
 	protected $visibility;
 	
-	public function __construct($id,$title,$callback,$html = null)
+	public function __construct($id,$title,$callback,$html = null,$can_hide = true)
 	{
 		if (!is_string($id) || $id === '') {
@@ -37,4 +37,8 @@
 		if (!empty($html)) {
 			$html = ' '.$html;
+		}
+		
+		if (!is_bool($can_hide)) {
+			$can_hide = true;
 		}
 		
@@ -58,4 +62,5 @@
 		$this->callback = $callback;
 		$this->html = $html;
+		$this->can_hide = $can_hide;
 		$this->visibility = true;
 	}
@@ -76,4 +81,9 @@
 	{
 		return $this->visibility;
+	}
+	
+	public function canHide()
+	{
+		return $this->can_hide;
 	}
 }
@@ -100,5 +110,5 @@
 		
 		# Post columns
-		$this->addColumn('adminPostList','title',__('Title'),array('adminPostList','getTitle'));
+		$this->addColumn('adminPostList','title',__('Title'),array('adminPostList','getTitle'),' class="maximal"',false);
 		$this->addColumn('adminPostList','date',__('Date'),array('adminPostList','getDate'));
 		$this->addColumn('adminPostList','category',__('Category'),array('adminPostList','getCategory'));
@@ -109,5 +119,5 @@
 		
 		# Post (mini list) columns
-		$this->addColumn('adminPostMiniList','title',__('Title'),array('adminPostList','getTitle'));
+		$this->addColumn('adminPostMiniList','title',__('Title'),array('adminPostList','getTitle'),' class="maximal"',false);
 		$this->addColumn('adminPostMiniList','date',__('Date'),array('adminPostList','getDate'));
 		$this->addColumn('adminPostMiniList','author',__('Author'),array('adminPostList','getAuthor'));
@@ -115,5 +125,5 @@
 		
 		# Comment columns
-		$this->addColumn('adminCommentList','title',__('Title'),array('adminCommentList','getTitle'));
+		$this->addColumn('adminCommentList','title',__('Title'),array('adminCommentList','getTitle'),' class="maximal"',false);
 		$this->addColumn('adminCommentList','date',__('Date'),array('adminCommentList','getDate'));
 		$this->addColumn('adminCommentList','author',__('Author'),array('adminCommentList','getAuthor'));
@@ -123,5 +133,5 @@
 		
 		# User columns
-		$this->addColumn('adminUserList','username',__('Username'),array('adminUserList','getUserName'));
+		$this->addColumn('adminUserList','username',__('Username'),array('adminUserList','getUserName'),' class="maximal"',false);
 		$this->addColumn('adminUserList','firstname',__('First name'),array('adminUserList','getFirstName'));
 		$this->addColumn('adminUserList','lastname',__('Last name'),array('adminUserList','getLastName'));
@@ -134,5 +144,5 @@
 	}
 	
-	public function addColumn($context,$id,$title,$callback,$html = null)
+	public function addColumn($context,$id,$title,$callback,$html = null,$can_hide = true)
 	{
 		try {
@@ -141,5 +151,5 @@
 			}
 			
-			$c = new adminGenericColumn($id,$title,$callback,$html);
+			$c = new adminGenericColumn($id,$title,$callback,$html,$can_hide);
 			$this->columns[$context][$c->getInfo('id')] = $c;
 		}
@@ -163,4 +173,7 @@
 				$visibility = !array_key_exists($key,$_REQUEST) ? false : true;
 			}
+			if (!$v->canHide()) {
+				$visibility = true;
+			}
 			$v->setVisibility($visibility);
 			$user_pref[$k] = $visibility;
@@ -183,5 +196,5 @@
 			$col_id = sprintf($this->form_prefix,$k);
 			$col_label = sprintf('<label for="%s">%s</label>',$col_id,$v->getInfo('title'));
-			$col_html = sprintf('<li class="line">%s</li>',$col_label.form::checkbox($col_id,1,$v->isVisible()));
+			$col_html = sprintf('<li class="line">%s</li>',$col_label.form::checkbox($col_id,1,$v->isVisible(),null,null,!$v->canHide()));
 			
 			array_push($list,$col_html);
@@ -351,5 +364,16 @@
 }
 
-class adminPostMiniList extends adminPostList{}
+class adminPostMiniList extends adminPostList
+{
+	protected function getTitle() 
+	{
+		return
+		'<td class="maximal">'.
+		form::checkbox(array('entries[]'),$this->rs->post_id,'','','',!$this->rs->isEditable()).'&nbsp'.
+		'<a href="'.$this->core->getPostAdminURL($this->rs->post_type,$this->rs->post_id).'" '.
+		'title="'.html::escapeHTML($this->rs->getURL()).'">'.
+		html::escapeHTML($this->rs->post_title).'</a></td>';
+	}
+}
 
 class adminCommentList extends adminGenericList
